<!-- Note: This file is automatically generated from source code comments. Changes made in this file will be overridden. -->

# Function bin

Format a number as binary.


## Syntax

```js
math.bin(value)
```

### Parameters

Parameter | Type | Description
--------- | ---- | -----------
`value` | number | Value to be stringified

### Returns

Type | Description
---- | -----------
string | The formatted value


## Examples

```js
//the following outputs "0b10"
math.bin(2)
```


## See also

[oct](oct.md),
[hex](hex.md)
